rpm 4.11.90

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
rpmsign.h File Reference
`#include <rpm/argv.h>`
`#include <rpm/rpmpgp.h>`
Include dependency graph for rpmsign.h:

Go to the source code of this file.

## Data Structures
struct | rpmSignArgs

## Functions
int | rpmPkgSign (const char *path, const struct rpmSignArgs *args, const char *passPhrase)
| Sign a package. More...
int | rpmPkgDelSign (const char *path)
| Delete signature(s) from a package. More...

## Function Documentation

int rpmPkgDelSign | ( | const char * | path | ) |

Delete signature(s) from a package.

Parameters

  path | path to package

Returns
  0 on success

Referenced by main().

int rpmPkgSign | ( | const char * | path,
|  | const struct rpmSignArgs * | args,
|  | const char * | passPhrase
| ) |  |

Sign a package.

Parameters

  path | path to package
  args | signing parameters (or NULL for defaults)
  passPhrase | passphrase for the signing key

Returns
  0 on success

Referenced by doSign().